> ## Documentation Index
> Fetch the complete documentation index at: https://docs.privy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an account

> Retrieve details of a specific account by its unique account ID

Retrieve the details of a specific account by its unique account ID.

The response includes the account's display name and all wallets associated with the account across different chain types and custody configurations.

<Info>
  View the full API reference for [getting an account](/api-reference/accounts/get) or [listing all
  accounts](/api-reference/accounts/list).
</Info>

## Usage

<Tabs>
  <Tab title="REST API">
    To get an account via REST API, make a `GET` request to:

    ```bash theme={"system"}
    https://api.privy.io/v1/accounts/{account_id}
    ```

    ### Path parameters

    <ParamField path="account_id" type="string" required>
      The unique ID of the account to retrieve.
    </ParamField>

    ### Response

    The response will include the following fields:

    <ResponseField name="id" type="string">
      The unique ID of the account.
    </ResponseField>

    <ResponseField name="display_name" type="string | null">
      An optional display name for the account.
    </ResponseField>

    <ResponseField name="wallets" type="array">
      The wallets belonging to this account. Each wallet contains:

      * `id` (string): The wallet ID
      * `chain_type` ('ethereum' | 'solana'): The chain type of the wallet
      * `address` (string): The on-chain address of the wallet
      * `custody` (CustodyConfiguration | undefined): The custody configuration if the wallet is custodial

      If `custody` is undefined, the wallet is non-custodial.

      The `CustodyConfiguration` type is defined as `{provider: string; provider_user_id: string}` where:

      * `provider` is the custody provider.
      * `provider_user_id` is the custody provider's unique ID for the KYC'ed entity for the wallet.
    </ResponseField>

    ### Example

    #### Request

    ```bash theme={"system"}
    curl --request GET https://api.privy.io/v1/accounts/<account-id> \
      -u "your-app-id:your-app-secret" \
      -H "privy-app-id: your-app-id"
    ```

    #### Request

    ```json theme={"system"}
    {
      "id": "<account-id>",
      "display_name": "<insert-display-name>",
      "wallets": [
        {
          "id": "<wallet-id>",
          "chain_type": "ethereum",
          "address": "0x4f3A1c8B2dE07f59Ca83b1eD6F42c9Ae5d03B7e"
        },
        {
          "id": "<wallet-id>",
          "chain_type": "ethereum",
          "address": "0x9bC2E4A0dF31856e7a4D9cB3F108e2Ac6b75d1E",
          "custody": {
            "provider": "bridge",
            "provider_user_id": "<insert-provider-user-id>"
          }
        },
        {
          "id": "<wallet-id>",
          "chain_type": "solana",
          "address": "7mXkPqR3nWvJhYzT5sLdAeG2cFbN9pUoViQwKtBxC4D"
        }
      ]
    }
    ```
  </Tab>
</Tabs>
